CREATE TABLE IF NOT EXISTS Project (
   id INT PRIMARY KEY AUTO_INCREMENT,
   name VARCHAR(255)
);

CREATE TABLE IF NOT EXISTS `WebService` (
    `id` INT PRIMARY KEY AUTO_INCREMENT,
    `name`  varchar(255) NULL,
    `wsdl`  varchar(255) NULL,
    `project_id`  int(255) NULL
);

CREATE TABLE IF NOT EXISTS `operation` (
    `id` INT PRIMARY KEY AUTO_INCREMENT,
    `name`  varchar(255) NOT NULL,
    `webservice_id`  int(255) NOT NULL
);

CREATE TABLE IF NOT EXISTS `server_info` (
   `id` UUID DEFAULT RANDOM_UUID(),
   `webservice_id`  int(255) NOT NULL,
   `form_json`  TEXT NOT NULL
);
