package org.lsh.webservice.ui.mapper;

import org.apache.ibatis.annotations.*;
import org.lsh.webservice.ui.entity.dto.ServerInfo;
import org.lsh.webservice.ui.entity.tree.Operation;

import java.util.List;

@Mapper
public interface ServerInfoMapper {

    @Insert("INSERT INTO SERVER_INFO (WEBSERVICE_ID,FORM_JSON) VALUES (#{serverInfo.webserviceId},#{serverInfo.formJson})")
    int insert(@Param("serverInfo")ServerInfo serverInfo);


    @Select("select * from SERVER_INFO where webservice_id=#{webserviceId}")
    @Results({
            @Result(property = "name", column = "name"), // 指定属性名和列名的映射关系
    })
    ServerInfo findByWebserviceId(Integer webserviceId);
}
